import 'package:comunic/helpers/database/database_contract.dart';
import 'package:comunic/helpers/database/model_database_helper.dart';
import 'package:comunic/models/conversation_message.dart';

/// Conversation messages database helper
///
/// @author Pierre HUBERT

class ConversationMessagesDatabaseHelper extends ModelDatabaseHelper<ConversationMessage> {

  @override
  ConversationMessage initializeFromMap(Map<String, dynamic> map) {
    return ConversationMessage.fromMap(map);
  }

  @override
  String tableName() {
    return ConversationsMessagesTableContract.TABLE_NAME;
  }

}